Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1489801 - OSP 12 drop support for mongodb
Summary: OSP 12 drop support for mongodb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 12.0 (Pike)
Assignee: Jon Schlueter
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On: 1491783 1491787
Blocks: 1500528
TreeView+ depends on / blocked
 
Reported: 2017-09-08 12:09 UTC by Jon Schlueter
Modified: 2018-02-05 19:12 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170913050523.0rc2.el7ost openstack-packstack-11.0.0-0.20170907135315.el7ost
Doc Type: Deprecated Functionality
Doc Text:
MongoDB is no longer used by Red Hat OpenStack Platform. Previously, it was used for Telemetry (which now uses Gnocchi) and Zaqar on the undercloud (which is moving to Redis). As a result, 'mongodb', 'puppet-mongodb', and 'v8' are no longer included.
Clone Of:
: 1491783 (view as bug list)
Environment:
Last Closed: 2017-12-13 22:08:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 501120 0 'None' 'MERGED' 'Containerized mongodb, disable by default, fix upgrade' 2019-11-29 09:28:48 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Jon Schlueter 2017-09-08 12:09:41 UTC
Description of problem:
with shifts in upstream defaults OSP 12 should no longer be using mongodb as backend.  OSP would like to drop unused packages for normal deployment workflow.

Version-Release number of selected component (if applicable):
mongodb
puppet-mongodb
python-mongodb (may not be able to drop due to how wide-spread it is pulled in)

Comment 2 Jon Schlueter 2017-09-08 12:17:45 UTC
Currently there are 3 mongodb related packages and 1 container image that are staged for OSP 12

python-mongodb (May not be able to drop this unless all of the bits line up nicely)
puppet-mongodb (openstack-puppet-modules and openstack-packstack pull this in and might be able to remove from spec Requires)
mongodb - should be able to drop but need to verify that packstack and directory can deploy without mongodb

openstack-mongodb-docker - kolla container that should be able to be dropped

Tripleo deoployment still has hook for mongodb container image [1]

[1] https://review.openstack.org/#/c/501120/ - drops that entry

Comment 5 Jon Schlueter 2017-09-08 19:47:27 UTC
packstack defaults to trying to use puppet-mongodb

packstack --allinone
...
192.168.122.134_controller.pp:                    [ ERROR ]              
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.122.134_controller.pp
Error: Evaluation Error: Error while evaluating a Resource Statement, Could not find declared class ::mongodb::server at /var/tmp/packstack/6b8107e08dfc40b0b41a2a5b761815d1/
modules/packstack/manifests/mongodb.pp:16:5 on node localhost

Comment 6 Jon Schlueter 2017-09-08 19:50:07 UTC
director default behavior does not use mongodb
containers pike does not startup mongodb container by default now
packstack is referencing something in puppet-mongodb by default

Comment 8 Alan Pevec 2017-09-14 15:58:03 UTC
> packstack is referencing something in puppet-mongodb by default

Please open child BZ against openstack-packstack for this.

Comment 9 Jon Schlueter 2017-09-14 16:31:25 UTC
Bug filed for packstack

Comment 15 errata-xmlrpc 2017-12-13 22:08:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.